Browser Support

The following browsers have native support for the Web Components features used by fast-element and our components:

  • Microsoft Edge 79+
  • Mozilla Firefox 63+
  • Google Chrome 67+
  • Apple Safari 10.1+
  • Opera 41+
  • iOS Safari 10.3+
  • Android Browser 81+
  • Opera Mobile 46+
  • Chrome for Android 81+
  • Firefox for Android 68+
  • Samsung Internet 6.2+

It is possible to use fast-element and our components in older browsers, but polyfills are required and won't perform as well as the native implementations. For more information on leveraging polyfills see the webcomponents/polyfills project on GitHub.